Subject: bug#37956: Elisp manual referes obsolete lisp file.

From: Stefan Kangas <[email-masked]>
Date: Sat, 5 Sep 2020 00:40:50 +0000

tags 37956 + confirmed
thanks

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Mon, 28 Oct 2019 15:47:05 +0100
>> Cc: [email-masked]
>>
>> > In Elisp manual -> Debugging -> Edebug -> Printing in Edebug, the manual says
>> >
>> > Other programs can also use custom printing; see cust-print.el fo rdetails.
>> >
>> > http://git.savannah.gnu.org/cgit/emacs.git/tree/doc/lispref/edebug.texi#n875
>> >
>> > , but cust-print.el is obsolete since emacs-24.3.
>>
>> Thanks for the report.
>>
>> Perhaps we could simply to remove it like in the attached patch?
>
> We moved cuts-print.el to obsolete/ because its features are supported
> by the Lisp printer.  So I'd prefer to modify that sentence to mention
> the latter, rather than just remove it.
>
> Btw, this sentence and one earlier mentions "custom printing" without
> explaining what that means, AFAICT.  It would be good to fix this
> while at that.

(That was 10 months ago, but I never replied back at the time.)

I don't know what the "Lisp printer" is, nor do I know what "custom
printing" is, so I unfortunately can't help with the above.

Help welcome by someone who knows enough about this to make the proposed
additions.